Create an entity type. Send the fields of the new row in JSON. The name must be unique. The check does not make a difference between upper case and lower case. You must be an administrator.
POST
/data/entity-types
curl
curl -X POST "http://api.example.com/data/entity-types" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Character",
"color": "#FF5733"
}'
import requests
url = "http://api.example.com/data/entity-types"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Character",
"color": "#FF5733"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Character",
"short_name": "char",
"description": "Characters of the show",
"archived": false,
"task_types": [
"string"
]
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Character",
"short_name": "char",
"description": "Characters of the show",
"archived": false,
"task_types": [
"c24a6ea4-ce75-4665-a070-57453082c250"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}